// priority: 0

// Visit the wiki for more info - https://kubejs.com/

// made by blueversal

ServerEvents.recipes(event => {
    event.remove({ id: 'locks:steel_lock_mechanism' })
    event.remove({ id: 'locks:steel_lock' })
    event.remove({ id: 'locks:steel_lock_pick' })
});

ServerEvents.recipes(event => {
    event.shaped('locks:steel_lock_mechanism', [
      'ccc',
      'CCC',
      'CCC'
    ], {
      c: 'locks:spring',  
      C: 'undergarden:froststeel_ingot',     
    });
  });

ServerEvents.recipes(event => {
    event.shaped('locks:steel_lock', [
      ' C ',
      'CcC',
      'CCC'
    ], {
      c: 'locks:steel_lock_mechanism',  
      C: 'undergarden:froststeel_ingot',     
    });
  });

ServerEvents.recipes(event => {
    event.shaped('2x locks:steel_lock_pick', [
      ' CC',
      ' C ',
      'C  '
    ], { 
      C: 'undergarden:froststeel_ingot',     
    });
  });
